Subject: Re: bug#31441: 26; doc of functions `(lax-)plist-get'

From: Pip Cet <[email-masked]>
Date: Sat, 13 Jul 2019 18:31:23 +0000

On Sat, Jul 13, 2019 at 2:44 PM Lars Ingebrigtsen <[email-masked]> wrote:
> I've now done these things, except that (weirdly enough) lax-plist-get
> is not like plist-get in all other respects -- plist-get will never
> signal an error, while lax-plist-get may signal an error if PLIST isn't
> a valid plist.  *sigh*

How is that weird? `plist-get' might, once in a while, be useful to
call on potentially malicious data. Fequal isn't, so `lax-plist-get'
cannot be, either.

(Fequal can signal, and it's easy to construct objects which will lock
up Emacs for many minutes when compared with Fequal. I think the
latter issue should be fixed, FWIW).